Show / Hide Table of Contents

# Class DidChangeTextDocumentParams

##### Inheritance

System.Object
DidChangeTextDocumentParams

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Workspace.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class DidChangeTextDocumentParams

### Properties

| Improve this Doc View Source

#### ContentChanges

Gets or sets the list of changes to the document content.

##### Declaration

    public TextDocumentChangeEvent[] ContentChanges { get; set; }

##### Property Value

Type | Description
--- | ---
TextDocumentChangeEvent[] |

| Improve this Doc View Source

#### TextDocument

Gets or sets the changed document.

##### Declaration

    public VersionedTextDocumentIdentifier TextDocument { get; set; }

##### Property Value

Type | Description
--- | ---
VersionedTextDocumentIdentifier |